Subject: bug#63963: closed (Re: bug#63963: Problem with -nw keybindings)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Sep 2023 10:36:03 +0000

Your bug report

#63963: Problem with -nw keybindings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63963: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63963
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63963: Problem with -nw keybindings
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: conor <[email-masked]>, [email-masked]
Date: Sun, 3 Sep 2023 03:34:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> tags 63963 notabug
> thanks
>
>> From: conor <[email-masked]>
>> Date: Thu, 8 Jun 2023 16:08:13 +0100
>>
>> There are some issues that I've found with emacs -nw keybindings that don't occur on emacs gui.
>> These cause problems with paredit-mode.
>>
>> Using C-h k:
>> `C-)` becomes `)`.
>> `C-(` becomes `(`.
>> `C-}` becomes `C-]`.
>> `C-{` becomes `M-`.
>
> This is not a bug: these key sequences don't correspond to characters,
> so what Emacs sees or doesn't see when you type those depends on the
> particular terminal emulator or console you are using.
>
> Basically, you shouldn't expect those to work at all in a -nw session.

I'm therefore closing this bug report.

Subject: Problem with -nw keybindings
From: conor <[email-masked]>
To: [email-masked]
Date: Thu, 8 Jun 2023 16:08:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

There are some issues that I've found with emacs -nw keybindings that don't
occur on emacs gui. These cause problems with paredit-mode.

Using C-h k:
`C-)` becomes `)`.
`C-(` becomes `(`.
`C-}` becomes `C-]`.
`C-{` becomes `M-`.

Much appreciated,
Conor